using System;
using System.Collections.Generic;
using System.Text;

namespace TEAMModelOS.SDK.Models
{
    /// <summary>
    /// 题目集合
    /// </summary>
    public class ItemCond : CosmosEntity
    {
        public ItemCond() {
            pk = "ItemCond";
        }
        //key  学段id-科目id
        public Dictionary<string, List<CondCount>> conds { get; set; } = new Dictionary<string, List<CondCount>>();
    }
    public class CondCount {
        public KeyValuePair<string, int> grade { get; set; } = new KeyValuePair<string, int>();
        public Dictionary<string, int> type { get; set; } = new Dictionary<string, int>();
        public Dictionary<int, int> level { get; set; } = new Dictionary<int, int>();
        public Dictionary<int, int> field { get; set; } = new Dictionary<int, int>();
    }
}
